> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les contacts

> Renvoie les contacts, par ordre alphabétique.

Renvoie les contacts, par ordre alphabétique.

```json Réponse theme={null}
{
  "contacts": [
    {
      "id": 5,
      "firstName": "Claire",
      "lastName": "Vasseur",
      "role": "Responsable achats",
      "primaryEmail": "claire.vasseur@mecmar.example",
      "organization": {
        "id": 3,
        "name": "MecMar",
        "type": "CLIENT"
      }
    }
  ]
}
```


## OpenAPI

````yaml openapi.json GET /contacts
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /contacts:
    get:
      summary: List contacts
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  contacts:
                    items:
                      description: >-
                        A contact (a physical person, from a client, supplier or
                        3rd party partner)
                      nullable: false
                      properties:
                        firstName:
                          nullable: false
                          type: string
                        id:
                          nullable: false
                          type: integer
                        lastName:
                          nullable: false
                          type: string
                        organization:
                          description: A client or supplier organisation
                          nullable: true
                          properties:
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                            type:
                              $ref: '#/components/schemas/organization_type'
                          type: object
                        primaryEmail:
                          nullable: true
                          type: string
                        primaryPhoneNumber:
                          nullable: true
                          type: string
                        role:
                          nullable: true
                          type: string
                      type: object
                    nullable: false
                    type: array
          description: Response
components:
  schemas:
    organization_type:
      nullable: true

````